Skip to main content
GET
/
v1
/
voices
/
{voice_id}
Get voice details by ID
curl --request GET \
  --url https://supertoneapi.com/v1/voices/{voice_id} \
  --header 'x-sup-api-key: <api-key>'
{
  "voice_id": "<voice-id>",
  "name": "Agatha",
  "age": "young-adult",
  "gender": "female",
  "use_case": "narration",
  "use_cases": [
    "narration",
    "storytelling"
  ],
  "language": [
    "ar",
    "bg",
    "cs",
    "da",
    "de",
    "el",
    "en",
    "es",
    "et",
    "fi",
    "fr",
    "hi",
    "hu",
    "id",
    "it",
    "ja",
    "ko",
    "nl",
    "pl",
    "pt",
    "ro",
    "ru",
    "vi"
  ],
  "styles": [
    "kind-default",
    "normal",
    "serene"
  ],
  "models": [
    "sona_speech_1",
    "sona_speech_2",
    "sona_speech_2_flash",
    "supertonic_api_1",
    "supertonic_api_3"
  ],
  "description": "",
  "samples": [
    {
      "language": "ko",
      "style": "kind-default",
      "model": "supertonic_api_3",
      "url": "https://example.com/samples/sample-audio.wav"
    }
  ],
  "thumbnail_image_url": "https://example.com/thumbnails/voice-thumbnail.png"
}

Documentation Index

Fetch the complete documentation index at: https://docs.supertoneapi.com/llms.txt

Use this file to discover all available pages before exploring further.

이 문서는 영어 원문을 기반으로 자동 번역되었습니다. 표현이 어색하거나 모호한 부분이 있을 수 있으니, 정확한 내용은 영어 원문을 함께 확인해 주세요.
지원 언어, 스타일, 모델, 사전 렌더링된 샘플 URL을 포함한 단일 프리셋 보이스의 전체 보이스 객체를 반환합니다. 고객이 직접 클론한 보이스는 Get custom voice를 사용해 주십시오.

엔드포인트

GET https://supertoneapi.com/v1/voices/{voice_id}

경로 파라미터

NameRequiredDescription
voice_id프리셋 보이스의 ID입니다.

응답

보이스 객체를 반환합니다 — 필드별 레퍼런스는 Voices를 참고해 주십시오.

참고사항

  • voice_id가 계정에 존재하지 않으면 404 Not Found를 반환합니다.
  • 명시적 style 파라미터 없이 TTS를 호출하기 전에, 이 엔드포인트로 보이스의 기본 스타일(styles의 첫 번째 항목)을 확인할 수 있습니다.

함께 보기

Docs: Voices

보이스 객체 구조와 보이스 ID 사용 방법입니다.

List voices

전체 보이스 라이브러리를 탐색합니다.

Authorizations

x-sup-api-key
string
header
required

Path Parameters

voice_id
string
required

Response

Voice details retrieved successfully

voice_id
string
required

Unique identifier for the voice

Example:

"<voice-id>"

name
string
required

Name of the voice

Example:

"Agatha"

age
string
required

Age of the voice

Example:

"young-adult"

gender
string
required

Gender of the voice

Example:

"female"

use_case
string
required

Use case of the voice

Example:

"narration"

use_cases
string[]
required

Use cases of the voice (array)

Example:
["narration", "storytelling"]
language
string[]
required

Languages supported by the voice

Example:
[
"ar",
"bg",
"cs",
"da",
"de",
"el",
"en",
"es",
"et",
"fi",
"fr",
"hi",
"hu",
"id",
"it",
"ja",
"ko",
"nl",
"pl",
"pt",
"ro",
"ru",
"vi"
]
styles
string[]
required

Styles available for the voice

Example:
["kind-default", "normal", "serene"]
models
string[]
required

Models available for the voice

Example:
[
"sona_speech_1",
"sona_speech_2",
"sona_speech_2_flash",
"supertonic_api_1",
"supertonic_api_3"
]
description
string | null

Description of the voice

Example:

""

samples
object[]

URL to the sample audio file for the voice

thumbnail_image_url
string

URL to the thumbnail image for the voice

Example:

"https://example.com/thumbnails/voice-thumbnail.png"